compute {dplyr} | R Documentation

## Compute a lazy tbl.

### Description

`compute` forces computation of lazy tbls, leaving data in the remote source. `collect` also forces computation, but will bring data back into an R data.frame (stored in a `tbl_df`). `collapse` doesn't force computation, but collapses a complex tbl into a form that additional restrictions can be placed on.

### Usage

    compute(x, name = random_table_name(), ...)

    collect(x, ...)

    collapse(x, ...)

    ## S3 method for class 'tbl_sql'
    compute(x, name = random_table_name(), temporary = TRUE,
      ...)

### Arguments

`x` | a data tbl
`name` | name of temporary table on database.
`...` | other arguments passed on to methods
`temporary` | if `TRUE`, will create a temporary table that is local to this connection and will be automatically deleted when the connection expires

### Grouping

`compute` and `collect` preserve grouping, `collapse` drops it.

### See Also

`copy_to` which is the conceptual opposite: it takes a local data frame and makes it available to the remote source.

### Examples

    if (require("RSQLite") && has_lahman("sqlite")) {
      batting <- tbl(lahman_sqlite(), "Batting")
      remote <- select(filter(batting, yearID > 2010 && stint == 1), playerID:H)
      remote2 <- collapse(remote)
      cached <- compute(remote)
      local  <- collect(remote)
    }

[Package dplyr version 0.4.3 Index]